package edu.nyu.scps.audioservice;

import android.app.IntentService;
import android.content.Intent;
import android.media.MediaPlayer;

public class AudioService extends IntentService {
	private MediaPlayer mediaPlayer;

	  /** 
	   * A constructor is required, and must call the super IntentService(String)
	   * constructor with a name for the worker thread.
	   */
	public AudioService() {
		super("AudioService");
	}

	  /**
	   * The IntentService calls this method from the default worker thread with
	   * the intent that started the service. When this method returns, IntentService
	   * stops the service, as appropriate.
	   */
	@Override
	protected void onHandleIntent(Intent intent) {
		mediaPlayer = MediaPlayer.create(this, R.raw.musette);

		mediaPlayer.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
			public void onCompletion(MediaPlayer mp) {
				AudioService.this.stopSelf();	//calls onDestroy
			}
		});

		mediaPlayer.start();

		for(;;) {
			synchronized (this) {
				try {
					wait(Long.MAX_VALUE);
				} catch (Exception e) {
				}
			}
		}
	}
	
	@Override
	public void onDestroy() {
		mediaPlayer.stop();
		mediaPlayer.release();
		super.onDestroy();
	}

}
